/* eslint-disable no-underscore-dangle */
import Users from '../../../common/entity/entity';
import { GetUsersResponse } from './protocols';

const getUsersResponseObject = (apiResponse: GetUsersResponse): Users[] => {
  return apiResponse.map((userItem) => {
    return {
      profileId: userItem._id,
      firstname: userItem.user_data.first_name,
      lastname: userItem.user_data.last_name,
      accountId: userItem.account_id,
    };
  });
};

export default getUsersResponseObject;
