/* eslint-disable consistent-return */
/* eslint-disable no-underscore-dangle */
import React from 'react';
import PlacesListView from '../view/PlacesListView';
import usePlacesListVM from '../viewmodel/placesListVM';
import useGetPlaceList from '../../common/hooks/useGetPlaceList';

export interface IPlacesListProps {
  selectedRowId: string;
  setSelectedRowId: React.Dispatch<React.SetStateAction<string>>;
}

export default function PlacessList(props: IPlacesListProps) {
  const { selectedRowId, setSelectedRowId } = props;

  const useGetPlacesList = useGetPlaceList();
  const { placesData } = usePlacesListVM({
    useGetPlacesList,
  });

  return <PlacesListView placesList={placesData} selectedRowId={selectedRowId} setSelectedRowId={setSelectedRowId} />;
}
