import { QrPlace } from '../../../common/entity/placeEntity';

export type GetPlacesResponse = {
  _id: string;
  place_type: string;
  name: string;
  parent_id: string | null;
  createdAt: string;
  updatedAt: string;
  available_services: string[];
}[];

export type GetPlacesRO = {
  availableServices: string[];
  createdAt: string;
  updatedAt: string;
  placeType: string;
  name: string;
  qr: null | QrPlace;
  id: string;
  parentId: string | null;
}[];
