import { CreateAccountDTOReturnType, INewUserData } from './protocols';

const createAccountDTO = (newUser: INewUserData): CreateAccountDTOReturnType => ({
  enabled: true,
  firstName: newUser.firstname,
  lastName: newUser.lastname,
  username: newUser.phonenumber,
});

export default createAccountDTO;
