export const staticMessages = {
  global: {
    errors: {
      input: 'please fill all inputs correctly',
      phonenumber: 'please fill the valid number',
      otp: 'please fill the otp fields correctly',
    },
    users: 'Users',
    submit: 'Submit',
    firstname: 'Firstname',
    lastname: 'Lastname',
    place_id: 'Place id',
    title: 'title',
    status: 'Status',
    placeType: 'Place Type',
    placeParentId: 'Parent id',
    address: 'Address',
    qrCode: 'qrCode',
    createUser: 'Create user',
    createPlace: 'Create place',
    PlaceName: 'Place name',
    phonenumber: 'Phone Number',
    enterPanel: 'Enter to Panel',
    enterPhoneNumber: 'Enter your phone number',
    enterOtpCode: 'Enter your Otp Code',
    success: {
      createUser: 'user created successfully',
      createMember: 'member created successfully',
    },
    and: 'and',
    canUseFor: 'can use for',
    oneTime: 'one time',
    multipleTimes: 'multiple times',
  },
  placeTypes: {
    continent: 'Continent',
    country: 'Country',
    state: 'State',
    region: 'Region',
    city: 'City',
    district: 'District',
    street: 'Street',
    building: 'Building',
    section: 'Section',
    floor: 'Floor',
    flat: 'Flat',
  },
  service: {
    errors: {
      500: 'server not respond please try again later!',
      401: 'Authentication error!',
    },
  },
};
