import { CreatePlaceType } from './protocols';
import getValidOptionsOfSelectBox from './getValidOptionsOfSelectBox';

const createPlaceModel = (): CreatePlaceType => {
  const { getPlacesTypeOptionsOfSelectBox, getValidParentIdsOptionsOfSelectBox } = getValidOptionsOfSelectBox;
  return {
    inputOptions: {
      getPlaceType: getPlacesTypeOptionsOfSelectBox,
      getParentIds: getValidParentIdsOptionsOfSelectBox,
    },
  };
};

export default createPlaceModel;
