import PlacesModel from '~/business-logic/core/places/common/model/placesModel';
import { placeTypes } from '../view/protocol';

export type CreatePlaceType = {
  inputOptions: {
    getPlaceType: () => {
      value: placeTypes;
      label: string;
    }[];
    getParentIds: (
      currentPlaceType: `${placeTypes}`,
      placesList: PlacesModel,
    ) => {
      value: string;
      label: string;
    }[];
  };
};
