import { INewUserData } from '~/business-logic/core/users/create-user/create-account/data/dto/protocols';
import { SetStateInputMethod } from '~/driven/utils/components/inputs/simple-input/SimpleInput';

export default interface ICreateUserViewProps {
  onSubmit: (e: React.FormEvent) => Promise<void>;
  stateHandler: {
    inputStates: INewUserData;
    inputsSetStates: SetStateInputMethod<keyof INewUserData>;
  };
  inputNames: (keyof INewUserData)[];
  error: { message: string; type: 'error' | 'success' };
  setError: React.Dispatch<React.SetStateAction<{ message: string; type: 'error' | 'success' }>>;
}
