/* eslint-disable react/display-name */
import React from 'react';
import OtpCodeView from '../view/OtpCodeView';
import useOtpCodeVm from '../viewmodel/OtpCodeVM';

const OtpCode = React.forwardRef<HTMLInputElement[]>((_props, otpCharRef) => {
  const { eventHandlers } = useOtpCodeVm({
    otpChar: otpCharRef as unknown as React.MutableRefObject<HTMLInputElement[]>,
  });
  return (
    <OtpCodeView
      eventHandlers={eventHandlers}
      otpChar={otpCharRef as unknown as React.MutableRefObject<HTMLInputElement[]>}
    />
  );
});

export default OtpCode;
